%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define giolibname %mklibname gio2.0_ 0

Summary:	Configuration backend for Glib
Name:		dconf
Version:	0.24.0
Release:	3
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/

BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	vala-devel intltool xsltproc gtk-doc

%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{libname}
Group:		System/Libraries
Summary:	Configuration backend library for Glib
Obsoletes:	%{mklibname dconf 0} < 0.14
Requires(post): %{giolibname} >= 2.23.4
Requires(postun): %{giolibname} >= 2.23.4
%if %_lib != lib
Requires(post,postun): gio2.0-64
%else
Requires(post,postun): gio2.0-32
%endif

%description -n %{libname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{develname}
Group:		Development/C
Summary:	Configuration backend library for Glib - development files
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%post -n %{libname}
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif

%postun -n %{libname}
if [ "$1" = "0" ]; then
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules 
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif
fi

%files
%doc NEWS
%{_bindir}/dconf
%{_libexecdir}/dconf-service
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_datadir}/bash-completion/completions/dconf
%{_mandir}/man?/*

%files -n %{libname}
%{_libdir}/libdconf.so.%{major}*
%{_libdir}/libdconf-dbus-1.so.*
%{_libdir}/gio/modules/libdconfsettings.*

%files -n %{develname}
%{_libdir}/libdconf.so
%{_libdir}/libdconf-dbus-1.so
%{_libdir}/pkgconfig/dconf.pc
%{_libdir}/pkgconfig/dconf-dbus-1.pc
%{_includedir}/dconf
%{_includedir}/dconf-dbus-1/dconf-dbus-1.h
%{_datadir}/gtk-doc/html/dconf
%{_datadir}/vala/vapi/dconf*


%changelog

* Fri Aug 26 2016 Denis Silakov <dsilakov@gmail.com> 0.24.0-3
- (32b54fe) Add post-requires for the lib package


